package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SignByPriKey
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:36
 */
@Data
public class SignByPriKeyReq  implements Serializable {
    private static final long serialVersionUID = -8812903110782896925L;
    /**
     * 私钥
     */
    private String priKey;
    /**
     * 签名后的数据
     */
    private String data;

    private static final SignByPriKeyReq obj = new SignByPriKeyReq();
    public static SignByPriKeyReq getNew() {
        try {
            return (SignByPriKeyReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SignByPriKeyReq();
        }
    }
}
